#import <Flutter/Flutter.h>
#import <DapiConnect/DapiConnect.h>

@class SuccessfulConnectionStream;
@class FailureConnectionStream;

@interface DapiPlugin : NSObject<FlutterPlugin>
    @property SuccessfulConnectionStream *successfulConnectionStream;
    @property FailureConnectionStream *failureConnectionStream;

@end

@interface SuccessfulConnectionStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end

@interface FailureConnectionStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end
